﻿
<body>

    <div class="col-sm-12">
        <div class="row">
            <div class="col-lg-12">
                <h1 class="page-header">Machine Control</h1>
            </div>
        </div><!--/.row-->


        <div class="panel-body">
            <div class="col-md-6">
                @if (ViewBag.ShowDiv)
                {
                    <div id="successPanel" class="alert bg-success" role="alert"><em class="fa fa-lg fa-warning">&nbsp;</em> Successful Save <a href="#" class="pull-right"><em class="fa fa-lg fa-close" onclick="closeSuccess()"></em></a></div>
                }
                else
                {
                    <div id="successPanel" class="alert bg-danger" role="alert"><em class="fa fa-lg fa-warning">&nbsp;</em> Unsuccessful Save <a href="#" class="pull-right"><em class="fa fa-lg fa-close" onclick="closeSuccess()"></em></a></div>
                }

                <form role="form" action="ProductName" method="post">
                    <div class="form-group">
                        <label style="font-size: medium;">Product Name</label>
                        <input class="form-control" id="productName" name="productName" placeholder="Placeholder">
                        <button type="submit" class="btn btn-info" style="margin-left: 90%; margin-top: 10px;">Update</button>
                    </div>
                </form>

                <form role="form" action="CycleTime" method="post">
                    <div class="form-group">
                        <label style="font-size: medium;">Cycle Time</label>
                        <input class="form-control" id="cycleTime" name="cycleTime" placeholder="Placeholder">
                        <button type="submit" class="btn btn-info" style="margin-left: 90%; margin-top: 10px;">Update</button>
                    </div>
                </form>

                <form role="form" action="PlanTotalProduce" method="post">
                    <div class="form-group">
                        <label style="font-size: medium;">Plan Total Produce</label>
                        <input class="form-control" id="planTotalProduce" name="planTotalProduce" placeholder="Placeholder">
                        <button type="submit" class="btn btn-info" style="margin-left: 90%; margin-top: 10px;">Update</button>
                    </div>
                </form>

                <form role="form" action="MachineState" method="post">
                    <div class="form-group">
                        <label style="font-size: medium;">Machine State</label>
                        <select class="form-control" id="machineState" name="machineState">
                            <option value="1">Productive</option>
                            <option value="0">Stop</option>
                            <option value="2">Mainteinance</option>
                            <option value="3">Alarm</option>
                            <option value="4">Reset</option>
                        </select>
                        <button type="submit" class="btn btn-info" style="margin-left: 90%; margin-top: 10px;">Update</button>
                    </div>
                </form>


            </div>	<!--/.main-->
        </div>
    </div>

    <script>
        function closeSuccess() {
            var x = document.getElementById("successPanel");
            if (x.style.display === "none") {
                x.style.display = "block";
            } else {
                x.style.display = "none";
            }
        }
    </script>

</body>
